[tool.poetry]
name = "ccvpn3"
version = "0.1.0"
description = ""
authors = ["CCrypto <code@ccrypto.org>"]

[tool.poetry.dependencies]
python = ">=3.8,<4.0"
django = "^4.0.0"
jsonfield = "^3.1"
django_countries = "^7"
markdown = "^3.1"
requests = "^2.21"
pygal = "^3.0"
pytz = "^2022.1"
stripe = "^2.24"
django-constance = {version = "^2.7",extras = ["database"]}
lcoreapi = {git = "https://git.packetimpact.net/lvpn/lcoreapi.git", tag = "v1.1.1"}
pygments = "^2.3"
psycopg2-binary = "^2.8"
python-frontmatter = "^1"
django-tinymce4-widget = "^6.3"
django-admin-list-filter-dropdown = "^1.0"
django-lcore = {git = "https://git.packetimpact.net/lvpn/django-lcore.git"}
django-pipayments = {git = "git@git.packetimpact.net:lvpn/django-pipayments.git", branch = "main"}
#django-pipayments = {path = "../lvpn/django-pipayments", develop=true}
celery = "^5"
django-celery-beat = {git="https://github.com/celery/django-celery-beat",rev="10123d357567ae31f241f89d98561220887799ae"}
redis = "^4.3"
flower = "^1"
django-extensions = "^3.1.3"

[tool.poetry.dev-dependencies]
pylint = "^2.3"
pylint-django = "^2.0.14"
black = {version = "^21.7b0", allow-prereleases = true}
selenium = "^3.141.0"
ipython = "^7.25.0"

[build-system]
requires = ["poetry>=0.12"]
build-backend = "poetry.masonry.api"
